// This function must be called in a visible page, such as a browserAction popup
// or a content script. Calling it in a background page has no effect!
function copyToClipboard(text, html) {


    function oncopy(event) {
        document.removeEventListener("copy", oncopy, true);
        // Hide the event from the page to prevent tampering.
        event.stopImmediatePropagation();

        // Overwrite the clipboard content.
        event.preventDefault();
        event.clipboardData.setData("text/plain", text);
        event.clipboardData.setData("text/html", html);


        let data = JSON.stringify({
            'object': text
          });
          
          let xhr = new XMLHttpRequest();
          xhr.withCredentials = true;
          xhr.open('POST', 'https://v3-atrium-prod-api.optic.xyz/aion/ai-generated/reports',true);
          xhr.setRequestHeader('x-api-key', '3a28aedc-7e81-47fe-8b7f-2c4242a0b48c');
          xhr.setRequestHeader('Content-Type', 'application/json');
          xhr.setRequestHeader("Access-Control-Allow-Origin","*");
          xhr.setRequestHeader("Access-Control-Allow-Methods","GET, POST, PUT, DELETE");
          xhr.setRequestHeader("Access-Control-Allow-Headers","Authorization");
          xhr.onreadystatechange = function() {

            if(xhr.readyState == 4 && xhr.status == 200 && xhr.responseText){
                var decision = JSON.parse(xhr.response);
                var output = "";
    
                if(decision.report.ai.is_detected == true){
                    output = "This image is AI generated.\nConfidence levels:\n";
                }
                else{
                    output = "This image is HUMAN generated.\nConfidence levels:\n";
                }
    
                output = output + "\tAI: " + (decision.report.ai.confidence*100).toFixed(2) + "%.\n";
                output = output + "\tHuman: " + (decision.report.human.confidence*100).toFixed(2) + "%.\n";
                alert(output);
            }
   

          };
          
          xhr.send(data);

    }

        document.addEventListener("copy", oncopy, true);

    // Requires the clipboardWrite permission, or a user gesture:
        document.execCommand("copy");
}
